Package pacManReloaded.server

## Class HighScore

- java.lang.Object
- - pacManReloaded.server.HighScore

-     public class HighScore
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HighScore​(java.lang.String name, int number, int highScore)` | Constructor of HighScore

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getHighScore()` | "getter" of the result of the highscore
    `java.lang.String` | `getName()` | "getter" for name
    `int` | `getNumber()` |
    `void` | `setHighScore​(int highScore)` | "setter" of the result
    `void` | `setNumber​(int number)` | "setter" of the result
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HighScore

          public HighScore​(java.lang.String name,
                           int number,
                           int highScore)

      Constructor of HighScore
      Parameters:
        `name` - name of player who achieved the highscore
        `highScore` - result of the highscore

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      "getter" for name
      Returns:
        nickname of the player

    - #### getHighScore

          public int getHighScore()

      "getter" of the result of the highscore
      Returns:
        result of the highscore

    - #### setHighScore

          public void setHighScore​(int highScore)

      "setter" of the result
      Parameters:
        `highScore` - result of the highscore

    - #### getNumber

          public int getNumber()

    - #### setNumber

          public void setNumber​(int number)

      "setter" of the result
      Parameters:
        `number` - result of the number

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`